/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/



void ChoosePurebred::setUpPurebreds(GenomeMixer *theNewPtr, int *whatSelected) {
	returnOurSelectionPtr = whatSelected;
	(*returnOurSelectionPtr) = -1;
	mainMixPtr = theNewPtr;
	loadPurebredNames();	
	if (listBoxPurebreds->numRows() > 0) {
		listBoxPurebreds->setCurrentItem(0); // default...
	}
	activateSelectButton();
}



void ChoosePurebred::loadPurebredNames() {
    
   listBoxPurebreds->clear();
    if (mainMixPtr == NULL) {
	return;
    }
    
    for (int i = 0; i < mainMixPtr->numParentalStrains(); i++) {
	// Fill up the list with mouse names
	listBoxPurebreds->insertItem(QString(mainMixPtr->getPurebredName(i)) + QString(": symbol \"") + QString(mainMixPtr->getPurebredSymbol(i)) + QString("\""));
    }
    
}


void ChoosePurebred::hitSelect() {
    // Selects when the user presses the Select button, or double-clicks on an item
    (*returnOurSelectionPtr) = listBoxPurebreds->currentItem();
    accept();
}

void ChoosePurebred::hitCancel() {
    (*returnOurSelectionPtr) = -1;
    reject();
}


void ChoosePurebred::activateSelectButton() {
	// actually, activates or deactives the select button, based on what is appropriate
	if (listBoxPurebreds->numRows() > 0) {
		// make sure there is at least some item that can be selected...
		if (listBoxPurebreds->currentItem() >= 0) {
			buttonOk->setEnabled(true);
			buttonCancel->setDefault(false);
			buttonOk->setDefault(true);
		}	
    } else {
			buttonOk->setDefault(false);
			buttonOk->setEnabled(false);
			buttonCancel->setDefault(true);
    }
}
